# Generated by Django 3.1 on 2020-08-26 16:51

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('manager', '0002_employee'),
    ]

    operations = [
        migrations.CreateModel(
            name='Assignments',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('request_date', models.DateTimeField(auto_now_add=True)),
                ('duration', models.IntegerField(default=20)),
                ('status', models.CharField(choices=[('Pending', 'Pending'), ('Rejected', 'Rejected'), ('Approved', 'Approved')], default='Pending', max_length=100)),
                ('asset', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='manager.asset')),
                ('employee', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='manager.employee')),
            ],
        ),
    ]
